When you run CSUPLOAD tool on a machine Other than Windows 7 64bit or Windows Server 2008 R2 you may receive the following error:

 

 

This is because when CSUPLOAD tools runs on a machine it checks the machine’s Operating System and if it does not satisfy the OS requirement, it spill the above error.

 

You have two options to resolve this error:

 

1.     Use Windows Azure SDK 1.3 on either Windows 7 64bit or Windows Server 2008 R2 (Preferred)

2.     Use “-SkipVerify” option with CSUPLOAD to bypass this error. (I am not a big fan of using “-SkipVerify” as it might mask some problems on your VHD while uploading it to Azure Portal which I encountered during my extensive use of VM Role)